关于powershell的版本

关于powershell的版本

   张吉吉     2019年11月4日 03:38     611    

最近在使用ansible去批量管理windows,ansible管理windows是通过powershell为通道,去远程管理。

但是对powershell的版本也是有要求的,需要至少在4版本以上,因为一直在使用linux所以对windows的命令窗口并不是很了解,下边是查看powershell的命令。

$PSVersionTable.PSVersion

下边是结果,结果显示大版本是5的版本,所以使用此版本powershell作为通道没有问题。

1.png

 

这个只是其中的一些信息使用

$PSVersionTable可以查看更多的信息。

2.png

或者使用命令get-host和$host

get-host和$host效果一样

3.png


文章评论

0

其他文章